org.eclipse.swt.accessibility

## Interface AccessibleHyperlinkListener

All Known Implementing Classes:
  AccessibleHyperlinkAdapter

    public interface AccessibleHyperlinkListener

Classes which implement this interface provide methods that handle AccessibleHyperlink events.

After creating an instance of a class that implements this interface it can be added to an accessible using the `addAccessibleHyperlinkListener` method and removed using the `removeAccessibleHyperlinkListener` method.

Since:
  1.4
See Also:
  `AccessibleHyperlinkAdapter`, `AccessibleHyperlinkEvent`

### Method Summary

Methods
`void` `getAnchor(AccessibleHyperlinkEvent e)` Returns the anchor for the link at the specified index.
`void` `getAnchorTarget(AccessibleHyperlinkEvent e)` Returns the target of the link at the specified index.
`void` `getEndIndex(AccessibleHyperlinkEvent e)` Returns the 0 based character offset at which the textual representation of the hyperlink ends.
`void` `getStartIndex(AccessibleHyperlinkEvent e)` Returns the 0 based character offset at which the textual representation of the hyperlink starts.

### Method Detail

#### getAnchor

    void getAnchor(AccessibleHyperlinkEvent e)

Returns the anchor for the link at the specified index.

Parameters:
  `e` - an event object containing the following fields:
  - [in] index - a 0 based index identifying the anchor if this object has more than one link, as in the case of an image map
  - [typical out] result - the returned anchor
  - [optional out] accessible - the returned anchor. Note: The returned anchor can either be a string or an accessible. For example, for a text link this could be the substring of the containing string where the substring is overridden with link behavior, and for an image link this could be the accessible for the image.

#### getAnchorTarget

    void getAnchorTarget(AccessibleHyperlinkEvent e)

Returns the target of the link at the specified index.

Parameters:
  `e` - an event object containing the following fields:
  - [in] index - a 0 based index identifying the anchor if this object has more than one link, as in the case of an image map
  - [typical out] result - the returned target
  - [optional out] accessible - the returned target. Note: The returned target can either be a string or an accessible. For example, this could be a string URI, or the accessible for the target object to be activated when the link is activated.

#### getStartIndex

    void getStartIndex(AccessibleHyperlinkEvent e)

Returns the 0 based character offset at which the textual representation of the hyperlink starts.

The returned value is related to the AccessibleTextExtended interface of the object that owns this hyperlink.

Parameters:
  `e` - an event object containing the following fields:
  - [out] index

#### getEndIndex

    void getEndIndex(AccessibleHyperlinkEvent e)

Returns the 0 based character offset at which the textual representation of the hyperlink ends.

The returned value is related to the AccessibleTextExtended interface of the object that owns this hyperlink. The character at the index is not part of the hypertext.

Parameters:
  `e` - an event object containing the following fields:
  - [out] index

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0